<?php 
add_action('wp_ajax_nopriv_ajax_comment', 'ajax_comment_callback');
add_action('wp_ajax_ajax_comment', 'ajax_comment_callback');
function ajax_comment_callback(){
    global $wpdb;
    $comment_post_ID = isset($_POST['comment_post_ID']) ? (int) $_POST['comment_post_ID'] : 0;
    $post = get_post($comment_post_ID);
    $post_author = $post->post_author;
    if ( empty($post->comment_status) ) {
        do_action('comment_id_not_found', $comment_post_ID);
        ajax_comment_err('Invalid comment status.');
    }
    $status = get_post_status($post);
    $status_obj = get_post_status_object($status);
    if ( !comments_open($comment_post_ID) ) {
        do_action('comment_closed', $comment_post_ID);
        ajax_comment_err('对不起，本文评论已关闭。');
    } elseif ( 'trash' == $status ) {
        do_action('comment_on_trash', $comment_post_ID);
        ajax_comment_err('未知错误。');
    } elseif ( !$status_obj->public && !$status_obj->private ) {
        do_action('comment_on_draft', $comment_post_ID);
        ajax_comment_err('未知错误。');
    } elseif ( post_password_required($comment_post_ID) ) {
        do_action('comment_on_password_protected', $comment_post_ID);
        ajax_comment_err('密码保护中');
    } else {
        do_action('pre_comment_on_post', $comment_post_ID);
    }

    $comment_author       = ( isset($_POST['author']) )  ? trim(strip_tags($_POST['author'])) : null;
    $comment_author_email = ( isset($_POST['email']) )   ? trim($_POST['email']) : null;
    $comment_author_url   = ( isset($_POST['url']) )     ? trim($_POST['url']) : null;
    $comment_content      = ( isset($_POST['comment']) ) ? trim($_POST['comment']) : null;
    $user = wp_get_current_user();
    if ( $user->exists() ) {
        if ( empty( $user->display_name ) )
            $user->display_name=$user->user_login;
        $comment_author       = esc_sql($user->display_name);
        $comment_author_email = esc_sql($user->user_email);
        $comment_author_url   = esc_sql($user->user_url);
        $user_ID              = esc_sql($user->ID);
       
    } else {
        if ( get_option('comment_registration') || 'private' == $status )
            ajax_comment_err('<p>抱歉，您必须登录后才能发表评论。</p>');
    }
    $comment_type = '';
    if ( get_option('require_name_email') && !$user->exists() ) {
        if ( 6 > strlen($comment_author_email) || '' == $comment_author )
            ajax_comment_err( '<p>错误：请填写必须的选项（姓名，电子邮件）。</p>' );
        elseif ( !is_email($comment_author_email))
            ajax_comment_err( '<p>错误：请输入有效的电子邮件地址。</p>' );
    }
    if ( '' == $comment_content )
        ajax_comment_err( '<p>说点什么？</p>' );
    $dupe = "SELECT comment_ID FROM $wpdb->comments WHERE comment_post_ID = '$comment_post_ID' AND ( comment_author = '$comment_author' ";
    if ( $comment_author_email ) $dupe .= "OR comment_author_email = '$comment_author_email' ";
    $dupe .= ") AND comment_content = '$comment_content' LIMIT 1";
    if ( $wpdb->get_var($dupe) ) {
        ajax_comment_err('<p>aha~似乎说过这句话？</p>');
    }
    
    if ( $lasttime = $wpdb->get_var( $wpdb->prepare("SELECT comment_date_gmt FROM $wpdb->comments WHERE comment_author = %s ORDER BY comment_date DESC LIMIT 1", $comment_author) ) ) {
        $time_lastcomment = mysql2date('U', $lasttime, false);
        $time_newcomment  = mysql2date('U', current_time('mysql', 1), false);
        $flood_die = apply_filters('comment_flood_filter', false, $time_lastcomment, $time_newcomment);
        if ( $flood_die ) {
            ajax_comment_err('<p>你回复太快啦。慢慢来。</p>');
        }
    }
    $comment_parent = isset($_POST['comment_parent']) ? absint($_POST['comment_parent']) : 0;
    $commentdata = compact('comment_post_ID', 'comment_author', 'comment_author_email', 'comment_author_url', 'comment_content', 'comment_type', 'comment_parent', 'user_ID');

    $comment_id = wp_new_comment( $commentdata );


    $comment = get_comment($comment_id);
    do_action('set_comment_cookies', $comment, $user);
    $comment_depth = 1;
    $tmp_c = $comment;
    while($tmp_c->comment_parent != 0){
        $comment_depth++;
        $tmp_c = get_comment($tmp_c->comment_parent);
    }
    $GLOBALS['comment'] = $comment;
    //这里修改成你的评论结构
    ?>
	<li id="comment-<?php comment_ID() ?>" <?php comment_class(); ?>>
	    <article id="div-comment-<?php comment_ID() ?>" class="comment-body">
	        <div class="comment-avatar vcard">
	            <?php echo get_avatar( $comment, 50 ); ?>
	        </div><!-- .comment-author -->
	        <div class="comment-text">
	            <div class="comment-info">
	                <h6 class="comment-author">
	                	<?php comment_author_link() ?>
	                	<?php dami_official( $comment->user_id ); ?>		
	                </h6>     
	            </div>
	            <div class="comment-content">
	                <?php 
	                	comment_text(); 
	                ?>            
	                <?php if ( $comment->comment_approved == '0' ) : ?>
		            <p class="tip-comment-check">您的评论正在等待审核中...</p>
		            <?php endif; ?>
	            </div><!-- .comment-content -->
	            <div class="comment-meta">
	                <time class="comment-date"><?php echo timeago(get_gmt_from_date( get_comment_time('Y-m-d H:i:s') ) ) ?></time>        
	            </div>
	            
	        </div><!-- .comment-text -->          
	    </article><!-- .comment-body -->
	
    
    <?php die();
}
function ajax_comment_err($a) {
    header('HTTP/1.0 500 Internal Server Error');
    header('Content-Type: text/plain;charset=UTF-8');
    echo $a;
    exit;
}

  
// function scp_comment_post( $incoming_comment ) {
//     $pattern = '/[一-龥]/u';
//     // 禁止全英文评论
//     if(!preg_match($pattern, $incoming_comment['comment_content'])) {
//         ajax_comment_err( "<p>some Chinese word (like \"你好\")，您的评论中必须包含汉字!</p>" );
//     }
//     return( $incoming_comment );
// }
// if( suxingme('suxing_some_chinese',true) ){    
//     add_filter('preprocess_comment', 'scp_comment_post');
// }

// function check_comment_data( $commnet_data ) {
//     // 禁止含有链接的评论
//     if(strpos($commnet_data['comment_content'],'http://') !== false || strpos($commnet_data['comment_content'],'www') !== false ||strpos($commnet_data['comment_content'],'<a') !== false)
//     {
//         ajax_comment_err( "<p>您的评论中不能包含链接!</p>" );
//     }
//     return $commnet_data;
// }
// if( suxingme('suxing_comment_no_html',true) ){ 
// add_filter('preprocess_comment', 'check_comment_data');
// }